package com.ftinc.si.assist.test.gui;

import javax.swing.tree.DefaultMutableTreeNode;

//TestCaseEditorの中で使用されるNode。caseNameとTestIDをメンバにもつ。
public class TestCmdNode extends DefaultMutableTreeNode {
	private String caseName;
	private int id;

	public TestCmdNode(String name, int tid, String cname) {
		super(name);
		id = tid;
		caseName = cname;
	}

	//表示名を返す。
	public String getNodeName() {
		return (String)userObject;
	}

	//表示名を設定する。
	public void setNodeName(String tame) {
		userObject = tame;
	}
	
	//testCase名を返す。
	public String getCaseName() {
		return caseName;
	}

	//コマンドIDを返す。
	public int getID() {
		return id;
	}

	//testCase名をセットする。全ての子孫が対象になる。
	public void setCaseName(String cName) {
		caseName = cName;
		for (int i = 0; i < getChildCount(); i++) {
			TestCmdNode t_node = (TestCmdNode)getChildAt(i);
			t_node.setCaseName(cName);
		}
	}

}
